# TODO:
# - vim doesn't detect filetype
#
# Conditional build:
%bcond_without	systemd		# without system integration

Summary:	tmux - a terminal multiplexer
Summary(hu.UTF-8):	tmux egy terminál-sokszorozó
Summary(pl.UTF-8):	tmux - multiplekser terminali
Name:		tmux
Version:	3.3a
Release:	1
License:	ISC
Group:		Applications/Terminal
#Source0Download: https://github.com/tmux/tmux/releases
Source0:	https://github.com/tmux/tmux/releases/download/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	8eee5883b9f6550fa4efaad0c9ec38f3
Source1:	%{name}-filedetect.vim
Source2:	https://raw.githubusercontent.com/keith/tmux.vim/master/syntax/tmux.vim
# Source2-md5:	cd1169a1757b515b5c57816d339c6f72
Source3:	https://raw.githubusercontent.com/imomaliev/tmux-bash-completion/master/completions/tmux
# Source3-md5:	6d65c0f42c74f61602a399d7bb04a85c
Source4:	tmux@.service
URL:		http://tmux.github.io/
BuildRequires:	libevent-devel
BuildRequires:	libutempter-devel
BuildRequires:	ncurses-devel >= 5
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.673
%{?with_systemd:BuildRequires:	systemd-devel}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
tmux is a terminal multiplexer: it enables a number of terminals (or
windows), each running a separate program, to be created, accessed,
and controlled from a single screen. tmux may be detached from a
screen and continue running in the background, then later reattached.

%description -l hu.UTF-8
tmux egy terminál-sokszorozó: terminálok (vagy ablakok) sokaságát
hozhatd létre, mindegyikben egy külön program fut, létrehozhatsz,
csatlakozhatsz és irányíthatod egyetlen képernyőről. tmux
lecsatlakozhat a képernyőről és folytathatja a futását a háttérben, és
később újracsatlakozhatsz.

%description -l pl.UTF-8
tmux to multiplekser terminali: pozwala na tworzenie wielu terminali
(lub okien) z osobnymi programami, dostęp do nich i sterowanie z
pojedynczego ekranu. tmux może być odłączony od ekranu i nadal działać
w tle, a następnie ponownie podłączony.

%package -n vim-syntax-tmux
Summary:	Vim syntax file to tmux config files
Summary(hu.UTF-8):	Vim syntax fájl a tmux konfigurációs fájljához
Summary(pl.UTF-8):	Plik składni Vima dla plików konfiguracyjnych tmuksa
Group:		Applications/Editors/Vim
Requires:	vim-rt

%description -n vim-syntax-tmux
Vim syntax file to tmux config files.

%description -n vim-syntax-tmux -l hu.UTF-8
Vim syntax fájl a tmux konfigurációs fájljához.

%package -n bash-completion-tmux
Summary:	Bash completion for tmux
Summary(pl.UTF-8):	Bashowe dopełnianie poleceń dla tmuksa
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	bash-completion >= 2.0

%description -n bash-completion-tmux
This package provides bash-completion for tmux.

%description -n bash-completion-tmux -l pl.UTF-8
Ten pakiet dostarcza bashowe dopełnianie składni dla polecenia tmux.

%prep
%setup -q

%build
# note: on Linux use plain glibc functions instead of utf8proc
%configure \
	CPPFLAGS="%{rpmcppflags} -I/usr/include/ncursesw" \
	%{__enable_disable systemd}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=%{_prefix}

install -d $RPM_BUILD_ROOT%{_datadir}/vim/vimfiles/{ftdetect,syntax}
install %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/vim/vimfiles/ftdetect/tmux.vim
install %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/vim/vimfiles/syntax
install -d $RPM_BUILD_ROOT%{bash_compdir}
sed -e '1s,#!/usr/bin/env bash,#!/bin/bash,' %{SOURCE3} > $RPM_BUILD_ROOT%{bash_compdir}/%{name}
install -d $RPM_BUILD_ROOT%{systemdunitdir}
install %{SOURCE4} $RPM_BUILD_ROOT%{systemdunitdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES COPYING README
%attr(755,root,root) %{_bindir}/tmux
%{_mandir}/man1/tmux.1*
%{systemdunitdir}/tmux@.service

%files -n vim-syntax-tmux
%defattr(644,root,root,755)
%{_datadir}/vim/vimfiles/ftdetect/tmux.vim
%{_datadir}/vim/vimfiles/syntax/tmux.vim

%files -n bash-completion-tmux
%defattr(644,root,root,755)
%{bash_compdir}/%{name}
%changelog
* Sat Jun 11 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tmux.git;a=log;h=master

* Fri Jun 10 2022 Jan Palus <atler@pld-linux.org> d0a365e
- up to 3.3a

* Fri Jun 10 2022 Jan Palus <atler@pld-linux.org> 73fd702
- add bcond for systemd integration (enabled by default)

* Mon Jun 06 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> e9e307b
- Up to 3.3.

* Sun Apr 24 2022 Jan Palus <atler@pld-linux.org> b07051a
- allow infinite number of tasks by default in tmux@.service; rel 2

* Fri Jun 11 2021 Jan Palus <atler@pld-linux.org> 98dcd23
- up to 3.2a

* Mon Nov 02 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> 81b8fb7
- up to 3.1c

* Sun May 10 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> c47eeb8
- up to 3.1b

* Wed May 06 2020 Jan Palus <atler@pld-linux.org> fabae3f
- use home as default working directory

* Wed May 06 2020 Jan Palus <atler@pld-linux.org> 095bed5
- add systemd unit for autostarting tmux session

* Fri Apr 24 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> 7a54b8d
- up to 3.1

* Sat Feb 08 2020 Jan Rękorajski <baggins@pld-linux.org> df78c1c
- rebuild with libevent 2.1.11
- release 2 (by relup.sh)

* Tue Jan 07 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> efc1373
- up to 3.0a

* Thu Nov 28 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 13f4245
- up to 3.0

* Thu May 09 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> acfbe3e
- up to 2.9a

* Thu Oct 18 2018 Jakub Bogusz <qboosh@pld-linux.org> c4f39c4
- updated dependencies, note on utf8proc

* Thu Oct 18 2018 Adam Gołębiowski <adamg@pld-linux.org> eaf3630
- updated to 2.8

* Tue Jun 19 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 101ede0
- update tmux.vim

* Tue Jun 19 2018 Marcin Krol <hawk@tld-linux.org> 6d6c2e4
- updated to 2.7, temporarily disabled auto tools, breaks build

* Sun Oct 29 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> c48aef0
- up to 2.6

* Sun Apr 02 2017 Jan Rękorajski <baggins@pld-linux.org> 286e528
- rebuild with libevent 2.1.9
- release 2 (by relup.sh)

